SWITCH_ROOT(8)

NAMN
switch_root - byt till ett annat filsystem som rot i monteringsträdet

SYNOPSIS

switch_root [-hV]

switch_root newroot init [arg...]

BESKRIVNING

switch_root flyttar redan monterade /proc, /dev, /sys och /run till newroot och gör newroot till det nya rotfilsystemet och startar init-processen.

VARNING: switch_root tar rekursivt bort alla filer och kataloger på det aktuella rotfilsystemet.

FLAGGOR

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

switch_root returnerar 1 vid misslyckande, den returnerar aldrig vid framgång.

ANTECKNINGAR

switch_root kommer inte att fungera om newroot inte är roten till en montering. Om du vill byta rot till en katalog som inte uppfyller det här kravet kan du först använda ett bind-mounting-trick för att göra vilken katalog som helst till en monteringspunkt:

    mount --bind $DIR $DIR

UPPHOVSPERSONER

SE ÄVEN

chroot(2), init(8), mkinitrd(8), mount(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot switch_root ingår i paketet util-linux som kan hämtas från